### Method

# Gio SettingsSchemaKey range_check

since: 2.40

#### Declaration [src]

    gboolean
    g_settings_schema_key_range_check (
      GSettingsSchemaKey* key,
      GVariant* value
    )

#### Description [src]

Checks if the given `value` is within the permitted range for `key`.

It is a programmer error if `value` is not of the correct type — you must check for this first.

Available since: 2.40

#### Parameters

`value`

  Type: `GVariant`

  The value to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `value` is valid for `key`.